Package com.enonic.xp.region

## Class LayoutComponent.Builder

- java.lang.Object
- - com.enonic.xp.region.Component.Builder
  - - com.enonic.xp.region.DescriptorBasedComponent.Builder
    - - com.enonic.xp.region.LayoutComponent.Builder

- Enclosing class:
    LayoutComponent

      public static class LayoutComponent.Builder
      extends DescriptorBasedComponent.Builder

- - ### Field Summary

    - ### Fields inherited from class com.enonic.xp.region.DescriptorBasedComponent.Builder

      `config, descriptor`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `LayoutComponent` | `build()` |
    `LayoutComponent.Builder` | `config​(PropertyTree config)` |
    `LayoutComponent.Builder` | `descriptor​(DescriptorKey value)` |
    `LayoutComponent.Builder` | `descriptor​(String value)` |
    `LayoutComponent.Builder` | `name​(ComponentName value)` | Deprecated.
    `LayoutComponent.Builder` | `name​(String value)` | Deprecated.
    `LayoutComponent.Builder` | `regions​(LayoutRegions value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### name

          @Deprecated
          public LayoutComponent.Builder name​(ComponentName value)

      Deprecated.
      Overrides:
        `name` in class `DescriptorBasedComponent.Builder`

    - #### name

          @Deprecated
          public LayoutComponent.Builder name​(String value)

      Deprecated.

    - #### descriptor

          public LayoutComponent.Builder descriptor​(String value)

    - #### descriptor

          public LayoutComponent.Builder descriptor​(DescriptorKey value)

      Overrides:
        `descriptor` in class `DescriptorBasedComponent.Builder`

    - #### config

          public LayoutComponent.Builder config​(PropertyTree config)

      Overrides:
        `config` in class `DescriptorBasedComponent.Builder`

    - #### regions

          public LayoutComponent.Builder regions​(LayoutRegions value)

    - #### build

          public LayoutComponent build()